import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';

class Cell extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
    return (
      <td>
          <input type = "text"
                        value = {this.props.value}
                        readOnly = {this.props.readonly}
                        className="sudoku-cell" />
      </td>
    )
  }
}

class Puzzle extends React.Component {
  render() {
    return (
        <table className = "sudoku-table">
            <tr>
                <Cell />
                <Cell value={1} readonly={'readonly'}/>
                <Cell value={6} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell />
                <Cell value={2} readonly={'readonly'}/>
                <Cell value={4} readonly={'readonly'}/>
                <Cell />
            </tr>
            <tr>
                <Cell value={3} readonly={'readonly'}/>
                <Cell value={2} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell />
                <Cell value={9} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell />
            </tr>
            <tr>
                <Cell />
                <Cell value={4} readonly={'readonly'}/>
                <Cell />
                <Cell value={1} readonly={'readonly'}/>
                <Cell />
                <Cell value={3} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell />
            </tr>
            <tr>
                <Cell />
                <Cell />
                <Cell value={5} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell />
                <Cell />
                <Cell value={6} readonly={'readonly'}/>
                <Cell value={9} readonly={'readonly'}/>
            </tr>
            <tr>
                <Cell />
                <Cell />
                <Cell value={9} readonly={'readonly'}/>
                <Cell />
                <Cell value={5} readonly={'readonly'}/>
                <Cell />
                <Cell value={3} readonly={'readonly'}/>
                <Cell />
                <Cell />
            </tr>
            <tr>
                <Cell value={6} readonly={'readonly'}/>
                <Cell value={3} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell />
                <Cell />
                <Cell value={8} readonly={'readonly'}/>
                <Cell />
                <Cell />
            </tr>
            <tr>
                <Cell />
                <Cell />
                <Cell />
                <Cell value={3} readonly={'readonly'}/>
                <Cell />
                <Cell value={6} readonly={'readonly'}/>
                <Cell />
                <Cell value={1} readonly={'readonly'}/>
                <Cell />
            </tr>
            <tr>
                <Cell />
                <Cell />
                <Cell />
                <Cell value={4} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell />
                <Cell value={7} readonly={'readonly'}/>
                <Cell value={2} readonly={'readonly'}/>
            </tr>
            <tr>
                <Cell />
                <Cell />
                <Cell value={4} readonly={'readonly'}/>
                <Cell value={9} readonly={'readonly'}/>
                <Cell />
                <Cell />
                <Cell value={6} readonly={'readonly'}/>
                <Cell value={8} readonly={'readonly'}/>
                <Cell />
            </tr>
        </table>
    )
  }

}

ReactDOM.render(<Puzzle />, document.getElementById("root"));
